com.hammurapi.common.concurrent.transactions

## Class AbstractTransactionalProcessor.SimpleTransactionPropagation

- java.lang.Object
- - com.hammurapi.common.concurrent.transactions.AbstractTransactionalProcessor.SimpleTransactionPropagation

- All Implemented Interfaces:
    AbstractTransactionalProcessor.TransactionPropagation
  Enclosing class:
    AbstractTransactionalProcessor<KP>

      protected class AbstractTransactionalProcessor.SimpleTransactionPropagation
      extends Object
      implements AbstractTransactionalProcessor.TransactionPropagation

  Propagates transaction object AS-IS

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTransactionalProcessor.SimpleTransactionPropagation(Transaction transaction)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Disassociates transaction from the caller thread.
    `Transaction` | `getTransaction()` This method is invoked in the thread where transaction shall be propagated to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTransactionalProcessor.SimpleTransactionPropagation

          public AbstractTransactionalProcessor.SimpleTransactionPropagation(Transaction transaction)

  - ### Method Detail

    - #### getTransaction

          public Transaction getTransaction()

      Description copied from interface: `AbstractTransactionalProcessor.TransactionPropagation`
      This method is invoked in the thread where transaction shall be propagated to.
      Specified by:
        `getTransaction` in interface `AbstractTransactionalProcessor.TransactionPropagation`
      Returns:
        Propagated transaction.

    - #### dispose

          public void dispose()

      Description copied from interface: `AbstractTransactionalProcessor.TransactionPropagation`
      Disassociates transaction from the caller thread.
      Specified by:
        `dispose` in interface `AbstractTransactionalProcessor.TransactionPropagation`